package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightOwner;
import com.fzm.common.mapper.CopyrightOwnerMapper;
import com.fzm.common.service.CopyrightOwnerService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:40
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightOwnerServiceImpl extends ServiceImpl<CopyrightOwnerMapper, CopyrightOwner> implements CopyrightOwnerService {

    private final CopyrightOwnerMapper ownerMapper;

    @Override
    public List<CopyrightOwner> getByUserId(Integer userId) {
        QueryWrapper<CopyrightOwner> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("user_id", userId);
        return ownerMapper.selectList(queryWrapper);
    }

    @Override
    public List<CopyrightOwner> getByCopyrightId(Integer copyrightId) {
        return ownerMapper.getByCopyrightId(copyrightId);
    }
}
