package com.fzm.portal.controller;

import com.fzm.common.entity.Banner;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.BannerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author tangtuo
 * @date 2022/1/11 15:08
 */
@RestController
@RequestMapping("/banner")
@Api(tags = "banner页管理")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class BannerController {

    private final BannerService bannerService;

    @GetMapping("/list")
    @ApiOperation(value = "查询banner页列表")
    public ResponseModel<List<Banner>> list() {
        return ResponseModel.success(bannerService.listAll());
    }
}
