package com.fzm.portal.controller.open;

import com.fzm.common.entity.Nft;
import com.fzm.common.enums.ResultCode;
import com.fzm.common.exception.GlobalException;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.NftService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tangtuo
 * @date 2021/12/22 14:13
 */
@RestController
@Api(tags = "对外服务")
@RequestMapping("/open/nft")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class NftApiController {

    private final NftService nftService;

    @GetMapping(value = "/hash")
    @ApiOperation(value = "根据tokenId获取nft哈希")
    public ResponseModel<String> getNftHash(@RequestParam Long tokenId) {
        Nft nft = nftService.getByTokenId(tokenId);
        if (nft == null) {
            throw GlobalException.newException(ResultCode.SELECT_FAILED, "未查询到此tokenId对应的nft");
        }
        return ResponseModel.success(nft.getNftHash());
    }
}
